Support » Installing WordPress » Couldn't setup Word-Press on my Ubuntu LAMP

  • I just have tried to install a new version 3.0.3 but I couldn’t get success anytime. It takes some time and gives the following errors for certain DB tables:

    ----------------------------------------------------------------------
    WordPress database error: [Invalid default value for 'comment_date']
    CREATE TABLE wp_comments ( comment_ID bigint(20) unsigned NOT NULL auto_increment, comment_post_ID bigint(20) unsigned NOT NULL default '0', comment_author tinytext NOT NULL, comment_author_email varchar(100) NOT NULL default '', comment_author_url varchar(200) NOT NULL default '', comment_author_IP varchar(100) NOT NULL default '', comment_date datetime NOT NULL default '0000-00-00 00:00:00', comment_date_gmt datetime NOT NULL default '0000-00-00 00:00:00', comment_content text NOT NULL, comment_karma int(11) NOT NULL default '0', comment_approved varchar(20) NOT NULL default '1', comment_agent varchar(255) NOT NULL default '', comment_type varchar(20) NOT NULL default '', comment_parent bigint(20) unsigned NOT NULL default '0', user_id bigint(20) unsigned NOT NULL default '0', PRIMARY KEY (comment_ID), KEY comment_approved (comment_approved), KEY comment_post_ID (comment_post_ID), KEY comment_approved_date_gmt (comment_approved,comment_date_gmt), KEY comment_date_gmt (comment_date_gmt), KEY comment_parent (comment_parent) ) DEFAULT CHARACTER SET utf8
    ----------------------------------------------------------------------

    THERE ARE SOME OTHER TABLES ALSO LISTED SAME AS ABOVE WITH THE SAME ERROR MESSAGE FOR DIFFERENT FIELD LIKE “WordPress database error: [Invalid default value for ‘link_updated’]”

    After this when I see in to DB there are only 7 tables created and I also can’t login to admin/front site because the setup is not done complete yet.

    Can anyone please tell me what this problem is trying to say is?

Viewing 6 replies - 1 through 6 (of 6 total)
Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Couldn't setup Word-Press on my Ubuntu LAMP’ is closed to new replies.